Skip to main content
GET
/
orgs
/
{organization}
/
servers
List servers
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": [
    {
      "id": "<string>",
      "type": "servers",
      "links": {
        "self": {
          "href": "<string>",
          "rel": "<string>",
          "describedby": "<string>",
          "title": "<string>",
          "type": "<string>",
          "hreflang": "<string>",
          "meta": {}
        }
      },
      "attributes": {
        "id": 123,
        "credential_id": 123,
        "name": "<string>",
        "slug": "<string>",
        "ubuntu_version": "<string>",
        "ssh_port": 123,
        "provider": "<string>",
        "identifier": "<string>",
        "size": "<string>",
        "region": "<string>",
        "php_version": "<string>",
        "php_cli_version": "<string>",
        "opcache_status": "<string>",
        "database_type": "<string>",
        "db_status": "<string>",
        "redis_status": "<string>",
        "ip_address": "<string>",
        "private_ip_address": "<string>",
        "revoked": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "connection_status": "<string>",
        "timezone": "<string>",
        "local_public_key": "<string>",
        "is_ready": true
      },
      "relationships": {
        "tags": {
          "data": [
            {
              "type": "tags",
              "id": "<string>"
            }
          ]
        }
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "path": "<string>",
    "per_page": 1,
    "next_cursor": "<string>",
    "prev_cursor": "<string>"
  },
  "included": [
    {
      "id": "<string>",
      "type": "tags",
      "attributes": {
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The organization slug

Query Parameters

page[size]
integer
default:30

The number of results that will be returned per page.

page[cursor]
string

The cursor to start the pagination from.

filter[ip_address]
string

The IP address of the server.

Example:

"192.168.1.1"

filter[name]
string

The name of the server.

Example:

"production-web-01"

filter[region]
string

The region where the server is located.

Example:

"nyc3"

filter[size]
string

The size of the server.

Example:

"s-2vcpu-2gb"

filter[provider]
string

The provider of the server.

Example:

"ocean2"

filter[ubuntu_version]
string

The Ubuntu version of the server.

Example:

24.04

filter[php_version]
string

The PHP version of the server.

Example:

"php83"

filter[database_type]
string

The database type of the server.

Example:

"mysql"

sort
enum<string>[]
Available options:
name,
-name,
provider,
-provider,
ubuntu_version,
-ubuntu_version,
region,
-region,
php_version,
-php_version,
created_at,
-created_at,
updated_at,
-updated_at

Response

Paginated set of ServerResource

data
ServerResource · object[]
required
meta
object
required
included
TagResource · object[]